diff --git a/maintainer-scripts/ChangeLog b/maintainer-scripts/ChangeLog
index cc235aa43ee9e0ee62a512f7656a9abeb54d5726..4a98deb26381a886b4e9cc2d546869e64a92ee94 100644
--- a/maintainer-scripts/ChangeLog
+++ b/maintainer-scripts/ChangeLog
@@ -1,3 +1,10 @@
+2017-02-28  Gerald Pfeifer  <gerald@pfeifer.com>
+
+	* update_web_docs_svn: Remove a reference to GCC 3.1.  Describe
+	settings to tweak if running on a host different from gcc.gnu.org.
+	(WWWBASE): Allow override via the environment.  Also check for
+	existance.
+
 2017-02-08  Gerald Pfeifer  <gerald@pfeifer.com>
 
 	* update_web_docs_svn (MANUALS): Add libitm.
diff --git a/maintainer-scripts/update_web_docs_svn b/maintainer-scripts/update_web_docs_svn
index e5f76e6d8740593c0bdb77e5d0eeba8f99e96566..4f262fd01e5daeef3b6b7f3a2ff6a8688ab52a91 100755
--- a/maintainer-scripts/update_web_docs_svn
+++ b/maintainer-scripts/update_web_docs_svn
@@ -1,7 +1,10 @@
 #!/bin/sh
 
 # Generate HTML documentation from GCC Texinfo docs.
-# This version is for GCC 3.1 and later versions.
+#
+# If you want to run this on a machine different from gcc.gnu.org, you
+# may need to adjust SVNROOT and WWWBASE below (or override them via the
+# environment).
 
 set -e
 
@@ -31,7 +34,7 @@ MANUALS="cpp
 
 CSS=/gcc.css
 
-WWWBASE=/www/gcc/htdocs
+WWWBASE=${WWWBASE:-"/www/gcc/htdocs"}
 WWWBASE_PREFORMATTED=/www/gcc/htdocs-preformatted
 WWWPREPROCESS='/www/gcc/bin/preprocess -r'
 
@@ -90,6 +93,11 @@ else
   DOCSDIR=$WWWBASE/onlinedocs/$SUBDIR
 fi
 
+if [ ! -d $WWWBASE ]; then
+  echo "WWW base directory \"$WWWBASE\" does not exist." >&2
+  exit 1
+fi
+
 if [ ! -d $DOCSDIR ]; then
   mkdir $DOCSDIR
   chmod g+w $DOCSDIR